org.eclipse.zest.layouts.progress

## Interface ProgressListener

    public interface ProgressListener

Listens for ProgressEvents which are thrown by layout algorithms at frequent intervals.

### Method Summary

Methods
`void` `progressEnded(ProgressEvent e)`
`void` `progressStarted(ProgressEvent e)`
`void` `progressUpdated(ProgressEvent e)` Called when the progress of a layout changes

### Method Detail

#### progressStarted

    void progressStarted(ProgressEvent e)

Parameters:
  `e` -

#### progressUpdated

    void progressUpdated(ProgressEvent e)

Called when the progress of a layout changes

#### progressEnded

    void progressEnded(ProgressEvent e)

Parameters:
  `e` -